Removes all values

- « Ds\Map::capacity

- Ds\Map::__construct »

- PHP Manual
- Ds\Map
- Removes all values

# Ds\Map::clear

(PECL ds >= 1.0.0)

Ds\Map::clear — Removes all values

### Description

public Ds\Map::clear(): void

Removes all values from the map.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 Ds\Map::clear() example

    <?php$map = new \Ds\Map([    "a" => 1,    "b" => 2,    "c" => 3,]);print_r($map);$map->clear();print_r($map);?>

The above example will output something similar to:

    Ds\Map Object
    (
        [0] => Ds\Pair Object
            (
                [key] => a
                [value] => 1
            )

        [1] => Ds\Pair Object
            (
                [key] => b
                [value] => 2
            )

        [2] => Ds\Pair Object
            (
                [key] => c
                [value] => 3
            )

    )
    Ds\Map Object
    (
    )